Main Page | Data Structures | Directories | File List | Data Fields | Globals

# TSK_IMG_INFO Struct Reference

`#include <img_tools.h>`

## Detailed Description

Generic structure used to store information about disk image files.

## Data Fields
TSK_IMG_INFO * | next
| Pointer to next "layer".
TSK_IMG_INFO_TYPE_ENUM | itype
| Type of disk image format.
OFF_T | size
| Total size of image in bytes.
SSIZE_T(* | read_random )(TSK_IMG_INFO *, OFF_T, char *, OFF_T, OFF_T)
| file type-specific read function
OFF_T(* | get_size )(TSK_IMG_INFO *)
void(* | close )(TSK_IMG_INFO *)
void(* | imgstat )(TSK_IMG_INFO *, FILE *)

The documentation for this struct was generated from the following file:

- src/imgtools/img_tools.h